# Beets

## Setup configuration file:

``` yaml
# ~/.config/beets/config.yaml
directory: ~/music
library: ~/music/library.db
import:
  copy: no   # Do not copy files into directory
  move: no   # Do not delete original files
  write: yes # Write tags to file
plugins: duplicates fetchart embedart
```

## Import music

Using `--incremental` to avoid scanning the already imported albums.

```
beet import ~/music --incremental
```

To re-scan the music library:

```
beet update
```

## Download art files into a `cover.jpg` file

Requires plugin: `fetchart`.

```
beet fetchart
```

## Embed art into files

Requires plugin: `embedart` & `fetchart`.

```
beet embedart
```

## Scan for duplicates

Requires plugin `duplicates`.

Use `-p` to show the path to the duplicates instead of the name.

```
beet duplicates -p
```
